Subject: RE: bug#23798: 25.0.90; Underscore for emphasis in Info?

From: Drew Adams <[email-masked]>
Date: Sun, 19 Jun 2016 12:29:01 -0700 (PDT)

> > > Yes, there's @strong, rendered as *foo*.
> >
> > I see.  I suspected that, so I searched for it (in the Emacs and
> > Elisp manuals).  I did not find any matches that would seem to
> > reflect that.
> 
> You have a few.  Here's one, from "Action Arguments" in the Emacs
> manual:
> 
>      *Warning:* If previous command-line arguments have visited files,
>      the current directory is the directory of the last file visited.

I saw that, but looked too quickly and thought it was showing a
literal message. 

> > It is unfortunate that Info "renders" what is clear markup, e.g.
> > @strong, by something that is not markup and not clearly
> > notational, and so is easily confused with ordinary text.
> 
> Info was designed to display on the dumbest text terminals out there.

Yes, and it does a good job.

> > Maybe you have a better suggestion?
> 
> I hope others will chime in.
> 
> > If you decide to do nothing wrt this enhancement request, perhaps
> > you would at least consider to have the Info help, for Info that
> > is displayed by Emacs, include a "notation" section that tells
> > users that "_..._" is emphasis and "*...*" is strong emphasis.
> > We already have node (info) `Help-Inv', which is along the same
> > lines, but the notation is not described anywhere, AFAICT.
> 
> This is documented in the Texinfo manual.

I think it should be pointed out to _readers_ of the manuals,
not just to writers.